1. One Click Charges
Español
  • Español
  • English
  • Bienvenidos
  • Online Payments
    • Card
      • Card Payments
      • Request a card token
      • Make a charge or deferred charge
      • Void a transaction
      • Request deferred options
      • Validate OTP
      • Refund a transaction
      • Bin Info
      • Bin Info V2
    • Cash in
      • Overview
    • Chargebacks
      • Overview
      • Query chargebacks
      • Request chargeback export
    • Smartlinks
      • Overview
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Delete a Smartlink
      • Update a Smartlink
      • Create a Smartlink
    • Payment Button
      • Overview
      • Create a payment button
    • Payment Credentials
      • Overview
      • Regenerate a credential
      • Activate or deactivate
      • Update credential
      • Search credentials
      • Delete credential
      • Create a credential
      • Advanced search
    • Gateway Status
      • Overview
      • Get gateway status
    • Analytics
      • Overview
      • Get transactions list v2
      • Get transactions list v1
    • Commissions
      • Commissions
      • Get Commission Configuration
    • One Click Charges
      • Request a recurring charge token
        POST
      • Create a recurring charge
        POST
      • Make an One-click payment
        POST
      • Cancel a recurring charge
        DELETE
      • Add a temporary charge or discount
        PUT
      • Get recurring charge Info
        GET
      • Update a recurring charge
        PATCH
      • Update recurring charge card data
        PUT
    • Transfer in
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
  • Transfer In
  • Schemas
    • threeDomainSecure
    • webhooks
    • currency
    • binInfo
    • SubscriptionUpdate
    • headers
    • SubscriptionAdjustmentRequest
    • Subscription
    • Metadata
    • Language
    • Deferred
    • ContactDetails
    • Amount
    • extraTaxes
    • documentType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. One Click Charges

Update a recurring charge

PATCH
/subscriptions/v1/card/{subscriptionId}
Update the information of an existing recurring charge identified by its subscriptionId. All the body fields are optional, they must be sent if they are meant to be changed.
Got a suggestion on this documentation? Contact Us.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢204
application/json
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api-uat.kushkipagos.com/subscriptions/v1/card/' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "planName": "Premium",
    "periodicity": "monthly",
    "contactDetails": {
        "firstName": "John",
        "lastName": "Doe",
        "email": "user@example.com"
    },
    "amount": {
        "subtotalIva": 10,
        "subtotalIva0": 4.95,
        "ice": 3.5,
        "iva": 1.4,
        "currency": "USD"
    },
    "startDate": "2017-01-18",
    "endDate": "2020-01-18",
    "language": "es",
    "retryConfiguration": {
        "retryType": "scheduled",
        "value": [
            10
        ]
    }
}'
Response Response Example
204 - Example 1
null
Modified at 2026-04-20 17:58:48
Previous
Get recurring charge Info
Next
Update recurring charge card data
Built with